Uneven fuel consumption in a three-symmetry drained fuel tank (.craft file included)
07/12/2013 07:24 PM - Jackissimus

Status: Moot

Severity: Normal

Assignee:

Category: Gameplay

Target version:

Version: 0.20.2 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

What happens: Rocket central stage gets drained unevenly using three-symmetry. This causes my test rocket to tip over during flight.
How to reproduce:

e Download attached simple rocket.

e Putit on a launchpad, turn on SAS, full throttle, fly upwards.

It will tip over at about 1500m.

There doesn't seem to be any apparent reason for it to tip over, it's symmetrical.

Notes: This rocket is a testing design, it's supposed to lift the tank on top to my space station and return back with the pod. | want to
empty the tank when lifting it to make it lighter, that's why | drain it. | started with a more complicated and useful design, but this is
what | reduced it to to show the bug.

History

#1 - 07/13/2013 02:07 AM - rditto48801

| tested the craft you provided and had the same basic result.
It looks like only one of the radial tanks is fully drawing fuel from the upper tank, causing it to remain full as the other two radial tanks drain.

| was able to create a work around with the test craft, since the same basic issue affects one of your main rockets of similar design.

Relocating the upper fuel lines so a pair are connected to the lander can (2 for weight balance reasons). Fuel will transfer from the lander can, down
the stack, to the fuel lower tank/engine. Radial tanks drain first, then the upper tank, then the lower tank. A test flight of the revised craft got into an
orbit of roughly 78km with 1/2 fuel left in the lower tank.

#2 - 07/13/2013 06:12 AM - Jackissimus

Ok, | meant this more as a demonstration of a weird physics problems that just shouldn't be there, but it can certainly be worked around.

#3 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#4 - 09/23/2015 11:07 AM - Kasuha

| checked the ship and | see no real bug, except the fuel drawing - working correctly as intended - is not completely intuitive in all cases.

The misalignment is caused by the central engine which draws fuel from the top tank and two stage tanks. Each fuel tank can be drawn only through
one acess path. If there are multiple paths for fuel between the engine and the tank, the one that is scanned first is used and the remaining paths are
cut shorter, but the fuel is still drawn through them if possible.

The problem is also explained in my aged post on forums:

http:/forum.kerbalspaceprogram.com/threads/64362-Fuel-Flow-Rules-(0-24-2)

| believe the report could be either closed or changed to Feedback.

#5 - 09/25/2015 02:30 PM - Squelch
- Tracker changed from Bug to Feedback
http://forum.kerbalspaceprogram.com/threads/64362-Fuel-Flow-Rules-(0-24-2)

- Category changed from Parts to Gameplay
- Status changed from New to Moot
- % Done changed from 0 to 100
Kasuha wrote:
| believe the report could be either closed or changed to Feedback.
Agreed. What might not have been apparent at the time of this report was that the craft is aerodynamically unstable, and has weak control authority
(T30 engines do not gimbal).
It is possible to make space with very careful modulation of the throttle, so it is very likely a design issue in the current release.

I'll close this a moot as we now have much better design tools and feedback about the stability of craft.

Files

BugReport.craft 19.9 KB 07/12/2013 Jackissimus
